
onEvent('item.modification', event => {
	event.modify('minecraft:lava_bucket', item => {
		item.burnTime = 1600
	})
})

onEvent('block.modification', event => {
	event.modify('minecraft:dirt', block => {
		block.speedFactor = 0.9
	})
	
	event.modify('minecraft:coarse_dirt', block => {
		block.speedFactor = 0.9
	})
	
	event.modify('minecraft:grass_block', block => {
		block.speedFactor = 0.9
	})
	
	event.modify('minecraft:podzol', block => {
		block.speedFactor = 0.9
	})
	
	event.modify('minecraft:mycelium', block => {
		block.speedFactor = 0.9
	})
	
	event.modify('farmersdelight:rich_soil', block => {
		block.speedFactor = 0.9
	})
	
	event.modify('minecraft:farmland', block => {
		block.speedFactor = 0.9
	})
	
	event.modify('farmersdelight:rich_soil_farmland', block => {
		block.speedFactor = 0.9
	})
	
	event.modify('endergetic:poismoss', block => {
		block.speedFactor = 0.9
	})
	
	event.modify('minecraft:sand', block => {
		block.speedFactor = 0.75
	})
	
	event.modify('minecraft:red_sand', block => {
		block.speedFactor = 0.75
	})
	
	event.modify('minecraft:clay', block => {
		block.speedFactor = 0.8
	})
	
	event.modify('minecraft:snow_block', block => {
		block.speedFactor = 0.75
	})
	
	event.modify('minecraft:snow', block => {
		block.speedFactor = 0.9
	})
	
	event.modify('minecraft:grass', block => {
		block.speedFactor = 0.7
	})
	
	event.modify('minecraft:tall_grass', block => {
		block.speedFactor = 0.7
	})
	
	event.modify('minecraft:fern', block => {
		block.speedFactor = 0.7
	})
	
	event.modify('minecraft:large_fern', block => {
		block.speedFactor = 0.7
	})
	
	event.modify('minecraft:seagrass', block => {
		block.speedFactor = 0.7
	})
	
	event.modify('minecraft:tall_seagrass', block => {
		block.speedFactor = 0.7
	})
	
	event.modify('minecraft:kelp', block => {
		block.speedFactor = 0.7
	})
	
	event.modify('minecraft:crimson_roots', block => {
		block.speedFactor = 0.7
	})
	
	event.modify('minecraft:warped_roots', block => {
		block.speedFactor = 0.7
	})
	
	event.modify('minecraft:sugar_cane', block => {
		block.speedFactor = 0.7
	})
	
	event.modify('endergetic:poise_bush', block => {
		block.speedFactor = 0.7
	})
	
	event.modify('quark:chorus_weed', block => {
		block.speedFactor = 0.7
	})
	
	event.modify('quark:chorus_twist', block => {
		block.speedFactor = 0.7
	})
	
	event.modify('endergetic:tall_poise_bush', block => {
		block.speedFactor = 0.7
	})
	
	event.modify('minecraft:acacia_leaves', block => {
		block.speedFactor = 0.5
		block.hasCollision = false
	})
	
	event.modify('minecraft:birch_leaves', block => {
		block.speedFactor = 0.5
		block.hasCollision = false
	})
	
	event.modify('minecraft:dark_oak_leaves', block => {
		block.speedFactor = 0.5
		block.hasCollision = false
	})
	
	event.modify('minecraft:oak_leaves', block => {
		block.speedFactor = 0.5
		block.hasCollision = false
	})
	
	event.modify('minecraft:spruce_leaves', block => {
		block.speedFactor = 0.5
		block.hasCollision = false
	})
	
	event.modify('minecraft:jungle_leaves', block => {
		block.speedFactor = 0.5
		block.hasCollision = false
	})
	
	event.modify('upgrade_aquatic:river_leaves', block => {
		block.speedFactor = 0.5
		block.hasCollision = false
	})

	event.modify('dynamictrees:acacia_leaves', block => {
		block.speedFactor = 0.5
		block.hasCollision = false
	})
	
	event.modify('dynamictrees:birch_leaves', block => {
		block.speedFactor = 0.5
		block.hasCollision = false
	})
	
	event.modify('dynamictrees:dark_oak_leaves', block => {
		block.speedFactor = 0.5
		block.hasCollision = false
	})
	
	event.modify('dynamictrees:oak_leaves', block => {
		block.speedFactor = 0.5
		block.hasCollision = false
	})
	
	event.modify('dynamictrees:spruce_leaves', block => {
		block.speedFactor = 0.5
		block.hasCollision = false
	})
	
	event.modify('dynamictrees:jungle_leaves', block => {
		block.speedFactor = 0.5
		block.hasCollision = false
	})
	
	event.modify('dtupgradeaquatic:river_leaves', block => {
		block.speedFactor = 0.5
		block.hasCollision = false
	})

	event.modify('inspirations:white_enlightened_bush', block => {
		block.speedFactor = 0.5
		block.hasCollision = false
	})

	event.modify('inspirations:red_enlightened_bush', block => {
		block.speedFactor = 0.5
		block.hasCollision = false
	})

	event.modify('inspirations:green_enlightened_bush', block => {
		block.speedFactor = 0.5
		block.hasCollision = false
	})

	event.modify('inspirations:blue_enlightened_bush', block => {
		block.speedFactor = 0.5
		block.hasCollision = false
	})
})